version: "2"
sql:
  - engine: "postgresql"
    schema: "../../database/schema/schema.sql"
    queries: "./queries"
    gen:
      go:
        package: "database"
        out: "./"
        sql_package: "pgx/v5"
        emit_db_tags: true
        emit_prepared_queries: true
        emit_interface: true
        emit_exact_table_names: true
        emit_empty_slices: true
        emit_exported_queries: true
        emit_json_tags: true